package com.skr.mdm.authentication.user;

import com.skr.mdm.enums.ResultCodeEnum;
import lombok.Getter;
import org.springframework.security.core.AuthenticationException;

/**
 * @author nfq
 * @date 2020/7/27 15:20
 */
@Getter
public class IllegalUserRequestException extends AuthenticationException {

    private static final long serialVersionUID = 5012927055296334072L;

    private final String code;

    public IllegalUserRequestException() {
        super(ResultCodeEnum.ILLEGAL_REQUEST.getMsg());
        this.code = ResultCodeEnum.ILLEGAL_REQUEST.getCode();
    }
}
